Bug 52676 - EDS: efficient change detection
Summary: EDS: efficient change detection
Status: RESOLVED FIXED
Alias: None
Product: SyncEvolution
Classification: Unclassified
Component: SyncEvolution (show other bugs)
Version: unspecified
Hardware: All All
: medium enhancement
Assignee: SyncEvolution Community
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-26 13:01 UTC by Patrick Ohly
Modified: 2013-11-28 16:19 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Patrick Ohly 2012-07-29 18:36:00 UTC


---- Reported by patrick.ohly@intel.com 2011-10-26 13:01:44 +0000 ----

A set of EDS API changes were designed and implemented to make change tracking more efficient:
http://wiki.meego.com/Architecture/planning/evolution-data-server/eds-improvements

This is expected to land in EDS 3.4.

A first step towards using these extensions was done by Chris Dumez when adapting the backend to the EClient API in EDS 3.0. Still needs to be merged.

The next steps are using the new calls if they are available.

Need to figure out how to determine and use that in syncevolution.org binaries at runtime.



--- Bug imported by patrick.ohly@gmx.de 2012-07-29 20:36 UTC  ---

This bug was previously known as _bug_ 23778 at https://bugs.meego.com/show_bug.cgi?id=23778
Comment 1 Patrick Ohly 2013-11-28 16:19:04 UTC
The new API is used by the EDS > 3.6 backend, included in syncevolution.org binaries starting with 1.3.99.6.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.